Bug 133485 - Port fix: games/flightgear - Mark as BROKEN (related to plib's js support / USB2)
Summary: Port fix: games/flightgear - Mark as BROKEN (related to plib's js support / U...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-08 12:30 UTC by ganael.laplanche
Modified: 2009-04-09 00:20 UTC (History)
0 users

See Also:


Attachments
file.diff (464 bytes, patch)
2009-04-08 12:30 UTC, ganael.laplanche
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2009-04-08 12:30:07 UTC
Flightgear needs plib's js library and cannot be built without it (see the README.plib file : "You *must* have plib version 1.8.4 or later installed on your system to build FlightGear!"). Unfortunately, support for the js (joystick) library has recently been removed in plib due to the new USB2 stack. See this commit :

http://www.freebsd.org/cgi/cvsweb.cgi/ports/x11-toolkits/plib/Makefile.diff?r1=1.37;r2=1.38

I think the best way is to wait for js support to be fixed in plib and mark Flightgear as BROKEN for FreeBSD > 800063.

Please also add this port to the PortsBrokenOnCurrent list on the wiki (if necessary).

Fix: Patch attached with submission follows:
Comment 1 Dmitry Marakasov freebsd_committer 2009-04-08 14:18:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2009-04-08 14:18:21 UTC
State Changed
From-To: open->feedback

Does it not build at all, or just the joystick support doesn't work? In 
the latter case I think there's no real reason to mark it broken.
Comment 3 ganael.laplanche 2009-04-08 16:35:09 UTC
On Wed, 8 Apr 2009 13:19:38 GMT, amdmi3 wrote

> Does it not build at all, or just the joystick support doesn't work? In
> the latter case I think there's no real reason to mark it broken.

Unfortunately it does not build at all. Browsing documentation, digging into the
code, there seem to be no way of disabling joystick support :/

Ganaël LAPLANCHE
ganael.laplanche@martymac.com
http://www.martymac.com
Comment 4 Dmitry Marakasov freebsd_committer 2009-04-09 00:12:43 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter freebsd_committer 2009-04-09 00:12:58 UTC
amdmi3      2009-04-08 23:12:42 UTC

  FreeBSD ports repository

  Modified files:
    games/flightgear     Makefile 
  Log:
  - Mark BROKEN on recent -CURRENT because of x11-toolkits/plib problem
  
  PR:             133485
  Submitted by:   Ganael Laplanche <ganael dot laplanche at martymac dot com> (maintainer)
  
  Revision  Changes    Path
  1.59      +7 -1      ports/games/flightgear/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"